/*Register by & Authorized person pages start*/
.person-get-dtls .heading_txt {
    padding: 0;
}

.person-get-dtls .content_input {
    padding-left: 17px;
}

.registerBy .person-get-dtls rt-select-value .rt-select-icon {
    padding-right: 22px;
}

.person_select.person-get-dtls .layoutpage_content.page_display .content_input .get_content > div:first-child {
    margin-bottom: 15px;
    height: 155px;
}

.person-get-dtls .person_dts > .registration_container {
    padding: 0px;
    height: auto;
}

.person-get-dtls .person_dts .registration_box.person_details {
    padding-top: 0px;
}
/*.person_select.person-get-dtls .person_get_details .person_details .person_head,
.person_select.person-get-dtls .person_get_details .person_details .person_head .details_container_div,
.person_select.person-get-dtls .person_get_details .person_details .person_head .details_container_div .details_content_div,
.person_select.person-get-dtls .person_get_details .person_details .person_head .details_container_div .details_content_div .details_personal_div,
.person_select.person-get-dtls .person_get_details .person_details .person_head .details_container_div .details_content_div .details_personal_div > img {
    height: 100%;
    width: 100%;
    margin: 0px;
}*/
.person_select .person_get_details .person_details .person_head .details_container_div .details_content_div {
    border: none;
}

.person_get_details .person_details .person_head .details_container_div .details_content_div .details_personal_div > img {
    border: 1px solid var(--color-BodTertiaryGray);
}

.person-get-dtls .get_content .grid_col .contact_part .contact_number .qus_icons.mag_top {
    margin: 0px;
}

.person-get-dtls .person_dts .user-name label, .person_dts label {
    white-space: nowrap;
}

.person-get-dtls .person_dts .user-name span {
    font-size: 17px;
    white-space: nowrap;
}

.person-get-dtls .person_dts .user-name.arabic-nme span {
    direction: rtl;
}

.person_select..person-get-dtls .person_get_details .person_details .personal_right_div .details_right_div .personal_details {
    padding-bottom: 25px;
}

.person-get-dtls .person_dts #personal_mobEmail {
    grid-template-columns: 30% calc(24% - 15px) calc(46% - 15px);
    margin-top: 25px;
}

.person-get-dtls .person_dts .grid_col {
    grid-template-columns: 13% calc(87% - 15px);
}

.person_select.person-get-dtls .person_get_details .person_details .personal_right_div .details_right_div .personal_details {
    padding-bottom: 5px;
}

.person-get-dtls .person_dts .grid_col .person_secfield {
    display: none;
}

.person-get-dtls .person_dts #from_gdrfad {
    grid-template-columns: 30% calc(24% - 15px) calc(46% - 15px);
}

.container-row.full-size-relative .person-get-dtls .person_dts .cnt_flex:first-child {
    grid-template-columns: calc(17% - 14px) calc(18% - 14px) calc(18% - 14px) calc(18% - 14px) calc(16% - 14px) calc(14% - 14px);
}

.person-get-dtls .person_dts .cnt_flex:last-child {
    grid-template-columns: calc(20% - 14px) 80%;
}

.person-get-dtls .person_dts .makani_blk.makani_cntn .split_block.no-mkni {
    grid-template-columns: calc(31% - 25px) calc(38% - 1px) calc(32% - 15px);
}

.person-get-dtls .person_dts .makani_blk.makani_cntn .split_block:not(.no-mkni) {
    grid-template-columns: calc(31% - 25px) calc(23% - 1px) calc(47% - 15px);
}

.person-get-dtls .person_dts .makani_chooser rt-radio-group {
    width: 100%;
    justify-content: flex-start;
}

.person-get-dtls .person_dts .address_info {
    padding-bottom: 15px;
    margin-bottom: 15px;
}

.person-get-dtls .person_dts .makani_blk.makani_cntn .lon_lat {
    display: flex;
    grid-gap: 14px;
}

.person-get-dtls .person_dts .passport_visa_block {
    grid-template-columns: calc(33% - 7px) calc(67% - 8px);
    grid-gap: 15px;
}

.person-get-dtls .person_dts .makani_view {
    margin-top: 12px;
    margin-bottom: 0px;
}

.person-get-dtls .person_dts .user-name.sponsor_nme {
    grid-row: unset;
    grid-column: span 2;
}

.person-get-dtls .page-detail-section .person_details .passport_visa_block .visa_details .details_visa .pass_visa_dtl {
    grid-template-columns: calc(22% - 12px) calc(21% - 12px) calc(21% - 12px) calc(22% - 12px) calc(15% - 12px);
}

.person-get-dtls .person_dts .address_block .details_icon {
    font-family: var(--font-6);
    color: var(--color-TextBlack);
}

.person-get-dtls .person_dts .address_block .marker:before {
    content: "\f041";
    font-size: 24px;
}

.person-get-dtls .person_dts .address_block .add-pass-ico:before {
    content: "\f2ba";
    font-size: 20px;
}

.person-get-dtls .person_dts .address_block .add-visa-ico:before {
    content: "\f2bc";
    font-size: 19px;
}

.person-get-dtls .person_dts .answer_text {
    margin: 15px 0px;
    border: 1px solid var(--color-BodTertiaryGray);
    width: calc(33% - 7px);
    padding: 0px;
}

    .person-get-dtls .person_dts .answer_text .primary_split {
        float: left;
        width: 100%;
    }

    .person-get-dtls .person_dts .answer_text .primary_box {
        width: 100%;
        text-overflow: ellipsis;
        white-space: normal;
        overflow: hidden;
        height: 100%;
        display: flex;
        align-items: center;
    }

    .person-get-dtls .person_dts .answer_text .radio_button {
        width: 100%;
    }

        .person-get-dtls .person_dts .answer_text .radio_button .doc_check {
            padding: 0px;
        }

        .person-get-dtls .person_dts .answer_text .radio_button rt-checkbox {
            display: flex;
            align-items: center;
            grid-gap: 12px;
            float: left;
            height: 100%;
            width: 100%;
            padding-left: 10px;
        }

        .person-get-dtls .person_dts .answer_text .radio_button .rt-container {
            margin: 0;
            position: unset;
            transform: unset;
        }

        .person-get-dtls .person_dts .answer_text .radio_button rt-checkbox .rt-icon {
            position: unset;
            border-radius: 50%;
        }

        .person-get-dtls .person_dts .answer_text .radio_button .rt-ripple-container,
        .person-get-dtls .person_dts .answer_text .radio_button rt-checkbox .rt-container:before,
        .person-get-dtls .person_dts .answer_text .radio_button rt-checkbox .rt-container:after {
            display: none;
        }

        .person-get-dtls .person_dts .answer_text .radio_button .rt-label {
            margin: 0px;
            line-height: 56px;
            flex-grow: 1;
            color: var(--color-TextPrimaryBlue);
            font-size: 19px;
        }

        .person-get-dtls .person_dts .answer_text .radio_button rt-checkbox.rt-checked {
            background-color: var(--color-BgPrimaryBlue);
            border-radius: 8px;
        }

            .person-get-dtls .person_dts .answer_text .radio_button rt-checkbox.rt-checked .rt-icon {
                background-color: var(--color-BgOrgWhite);
            }

                .person-get-dtls .person_dts .answer_text .radio_button rt-checkbox.rt-checked .rt-icon:after {
                    left: 18px;
                    top: 20px;
                    height: 14px;
                    border-color: var(--color-BodPrimaryBlue);
                }

            .person-get-dtls .person_dts .answer_text .radio_button rt-checkbox.rt-checked .rt-label {
                color: var(--color-TextOrgWhite);
            }

        .person-get-dtls .person_dts .answer_text .radio_button .md_off,
        .person-get-dtls .person_dts .answer_text .radio_button .md_on {
            width: 24px;
            height: 24px;
            border-color: var(--color-BodTertiaryGray);
            background-color: transparent !important;
            transition: unset;
        }

            .person-get-dtls .person_dts .answer_text .radio_button .md_on:after {
                box-sizing: border-box;
                transform: rotate( 45deg );
                position: absolute;
                left: 9px;
                top: 5px;
                width: 6px;
                height: 13px;
                border-width: 2px;
                border-style: solid;
                border-top: 0;
                border-left: 0;
                content: "";
                border-bottom-right-radius: 1px;
            }

        .person-get-dtls .person_dts .answer_text .radio_button .md_lbl {
            width: 100%;
            height: 100%;
            margin: 0;
            padding: 0px 0px;
            padding-left: 37px;
        }

            .person-get-dtls .person_dts .answer_text .radio_button .md_lbl > label {
                width: 100%;
                height: 100%;
                padding-top: 0px;
                text-overflow: ellipsis;
                overflow: hidden;
                white-space: nowrap;
                font-size: 19px;
                color: var(--color-TextPrimaryBlue);
            }

.govt-entity-reg .person-get-dtls .footer-action-btn {
    display: block;
    padding: 15px;
    padding-left: 0px;
}

.person-get-dtls {
    padding-bottom: 0px;
    height: 100%;
    margin-bottom: 0px;
}

.person_select.person-get-dtls .layoutpage_content.page_display .content_input .get_content {
    height: calc(100% - 74px);
    width: 100%;
    overflow-y: auto;
    scrollbar-width: thin;
    scrollbar-color: var(--color-BodTextSecondaryCharcoleGray) var(--color-BodOrgWhite);
}

    .person_select.person-get-dtls .layoutpage_content.page_display .content_input .get_content > div:last-child {
        height: auto;
    }

.person-get-dtls #GDRFADdetails {
    padding-bottom: 0px;
}

.person-get-dtls .person_dts .visa_details > .details_right_div {
    display: none;
}

.person-get-dtls .icn_pad rt-input-container.rt-input-has-value rt-select .rt-select-value span:first-child {
    padding-left: 8px;
}

.citydropdownselect.selectedheader {
    max-width: 320px !important;
}
/*Register by & Authorized person pages end*/
.form-wizard-container.full-size-relative {
    overflow: visible;
}

.regRightPanel .mapBox {
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.sgc-doc-pge.animated {
    height: 100%;
    float: left;
    width: 100%;
}

.sgc-doc-pge .document_info.cd_document_viewlist {
    float: left;
    width: 100%;
    position: relative;
    display: grid;
    grid-template-columns: 50% 50%;
    height: calc(100% - 55px);
}

    .sgc-doc-pge .document_info.cd_document_viewlist .content_input {
        float: left;
        height: 100%;
        width: 100%;
    }

.sgc-doc-pge.animated .bck-nxt {
    float: left;
    width: 100%;
}

.regRightPanel.full-size-relative.registerby.person_details_pg > div {
    float: left;
    width: 100%;
    height: 100%;
}

    .regRightPanel.full-size-relative.registerby.person_details_pg > div + div {
        position: absolute;
        left: 0;
        top: 0;
    }

.sgc-doc-pge .document_info .img_upload.df {
    width: 100%;
}

#Imgcontainer .konvajs-content canvas,
#Imgcontainer .konvajs-content {
    height: 100% !important;
    width: 100% !important;
    object-fit: cover;
}

.com_popup .confirmation_popup .popup_content .grid_info > div.full-ccon {
    width: 100%;
}

@media(max-width:1400px) {
    .sgc-doc-pge .document_info.cd_document_viewlist {
        grid-template-rows: 50% 50%;
        grid-template-columns: unset;
    }

    .sgc-doc-pge .document_info .content_input,
    .sgc-doc-pge .document_info .img_upload {
        width: 100% !important;
    }
}

@media(max-width:1000px) {
    .ccfirmmain-popup.gov_confirm_popup.gov_confirm_popup .popup_region {
        width: 668px;
    }
}

@media(max-width:930px) {
    .com_popup .confirmation_popup.ccfirmmain-popup.gov_confirm_popup .popup_content .main_grid {
        padding: 0px 20px;
        grid-template-rows: auto auto;
        grid-template-columns: unset;
        max-height: 500px;
        overflow-y: auto;
        width: 100%;
        float: left;
    }

        .com_popup .confirmation_popup.ccfirmmain-popup.gov_confirm_popup .popup_content .main_grid .grid_section {
            padding: 0;
            display: flex;
            align-items: center;
            width: 100%;
        }

    .com_popup .confirmation_popup.ccfirmmain-popup.gov_confirm_popup .popup_content .grid_img {
        width: 200px;
        margin: revert-layer;
    }

    .com_popup .confirmation_popup.ccfirmmain-popup.gov_confirm_popup .popup_content .grid_info > div {
        width: 100%;
    }

    .com_popup .confirmation_popup.ccfirmmain-popup.gov_confirm_popup .popup_content .grid_img .img_section {
        height: 150px;
        background-size: contain;
        background-position: center;
    }
}

@media(max-width:768px) {
    .Overflow_Parent .dialog-container {
        width: 100% !important;
        left: 0 !important;
    }

    .com_popup .confirmation_popup .popup_content .cntn_info {
        padding: 20px !important;
    }
}

@media(max-width:670px) {
    .ccfirmmain-popup.gov_confirm_popup.gov_confirm_popup .popup_region {
        width: 400px;
    }
}

@media(max-width:510px) {
    section.layoutpage_content.full-size-relative.document_info.cd_document_viewlist {
        grid-template-rows: 50% 50%;
        grid-template-columns: unset;
        display: grid !important;
        height: calc(100% - 55px) !important;
    }
}

@media(max-width:400px) {
    .form-field-sub-container {
        padding-bottom: 0px !important;
    }

    .gdrfa_part .get_person {
        padding-top: 48px !important;
    }

    .gdrfa_part .content_person .qus_icons {
        gap: 16px;
    }

    section.layoutpage_content.full-size-relative.document_info.cd_document_viewlist {
        height: calc(100% - 122px) !important;
    }

    .ccfirmmain-popup.gov_confirm_popup.gov_confirm_popup .popup_region {
        width: 300px;
    }
}
/*Arabic text value changes*/
#GovtEntityRegistration .person-get-dtls .person_dts .user-name.arabic-nme span {
    text-align: left;
}